### Namespace

# Panel – 1

A dock/panel library for GTK 4

Version | 1.0.2
Authors | Christian Hergert
License | LGPL
Website |
Source | https://gitlab.gnome.org/GNOME/libpanel

#### Build

C headers | `libpanel.h`
pkg-config files | `libpanel-1`

#### Dependencies

GObject—2.0 | The base type system library
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

Dock |
Frame |
FrameHeaderBar |
FrameSwitcher | The `PanelFrameSwitcher` shows a row of buttons to switch between `GtkStack` pages.
FrameTabBar |
Grid |
GridColumn |
OmniBar |
Paned |
Position |
SaveDelegate |
SaveDialog |
Statusbar |
ThemeSelector |
ToggleButton |
Widget |

#### Interfaces

FrameHeader |

#### Enumerations

Area |

#### Callbacks

FrameCallback |

#### Functions

finalize |
get_resource |
init |

#### Function Macros

CHECK_VERSION | Compile-time version checking. Evaluates to `TRUE` if the version of libpanel is greater than the required one.
ENCODE_VERSION |

#### Constants

MAJOR_VERSION | Libpanel major version component (e.g. 1 if `PANEL_VERSION` is 1.2.3)
MICRO_VERSION | Libpanel micro version component (e.g. 3 if `PANEL_VERSION` is 1.2.3)
MINOR_VERSION | Libpanel minor version component (e.g. 2 if `PANEL_VERSION` is 1.2.3)
VERSION_S | Libpanel version, encoded as a string, useful for printing and concatenation.
WIDGET_KIND_ANY |
WIDGET_KIND_DOCUMENT |
WIDGET_KIND_UNKNOWN |
WIDGET_KIND_UTILITY |